Skip to main content
GET
/
api
/
public
/
v1
/
vms
List virtual machines
curl --request GET \
  --url https://api.vmarea.com/api/v1/api/public/v1/vms \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "hostname": "<string>",
      "status": "<string>",
      "vcpu": 123,
      "ram": 123,
      "disk": 123,
      "bandwidth": 123,
      "networkSpeed": 123,
      "network10gEnabled": true,
      "dailyBackupEnabled": true,
      "isProtected": true,
      "ipAddress": "<string>",
      "region": {
        "slug": "<string>",
        "name": "<string>"
      },
      "plan": {
        "slug": "<string>",
        "name": "<string>",
        "priceMonthly": "<unknown>"
      },
      "osTemplate": {
        "slug": "<string>",
        "name": "<string>",
        "version": "<string>"
      },
      "billing": {
        "nextRenewalAt": "2023-11-07T05:31:56Z",
        "status": "<string>",
        "priceMonthly": "<unknown>"
      },
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://vmarea.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Long-lived API token created at https://vmarea.com/dashboard/settings/api-keys. Tokens are scope-restricted; this spec lists the scope each endpoint requires.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100
status
enum<string>
Available options:
PROVISIONING,
RUNNING,
STOPPED,
SUSPENDED,
REBUILDING,
UPGRADING,
UNMANAGED,
ERROR

Response

Default Response

success
enum<boolean>
required
Available options:
true
data
object[]
required
pagination
object
required